酒店
Read a booking (voucher).
get/v1/hotels/bookings/{bookingId}
- 需要身份验证
参数
| 名称 | 位置 | 类型 | 说明 |
|---|---|---|---|
| bookingId* | 路径 | string |
响应
200OKHotelBooking
- bookingIdstring
- bookingReferencestring可为 null
- statusstring
confirmed | pending | cancelled | unknown.
- hotelCodestring可为 null
- hotelNamestring可为 null
- cityNamestring可为 null
- roomTypestring可为 null
- checkInstring可为 null
- checkOutstring可为 null
- Money
Money on the wire: decimal string (never a float) + ISO 4217.
- amountstring
- currencystring
- refundableboolean可为 null
- priceChangedboolean
- HolderInfo
- firstNamestring
- lastNamestring
- emailstring
- phonestring
- BookingRoom[]
- Guest[]
- specialRequestsstring可为 null
- confirmedAtstring (date-time)可为 null
- 404Not FoundRFC 7807 问题详情
代码示例
完整的程序,按网关的验证方式对请求进行签名。请替换 YOUR_KEY_ID 和 YOUR_SECRET。
# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/hotels/bookings/b216bGJ5bG1BMURGMVFadERnPT0\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')
curl -X GET "https://api.dubaitrip.com/v1/hotels/bookings/b216bGJ5bG1BMURGMVFadERnPT0" \
-H "X-API-Key: $KEY_ID" \
-H "X-Timestamp: $TS" \
-H "X-Nonce: $NONCE" \
-H "X-Signature: $SIG" \
-H "Accept: application/json"